List Memo Comments
ListMemoComments lists the active comments on a memo that the caller can read. Requires read access to the memo.
Path Parameters
memo*string
The memo id.
Query Parameters
pageSize?integer
Optional. The maximum number of comments to return. The service may return fewer. Defaults to 50; values above 1000 are coerced to 1000.
Format
int32pageToken?string
Optional. A page token from a previous call. Provide it to retrieve the next page.
orderBy?string
Optional. The order to sort results by. Currently ignored by the server.
Response Body
application/json
application/json
curl -X GET "https://example.com/api/memos/string/comments"{ "comments": [ { "name": "string", "creator": "string", "space": "string", "content": "string", "location": { "placeholder": "string", "latitude": 0.1, "longitude": 0.1 }, "visibility": "VISIBILITY_UNSPECIFIED", "state": "STATE_UNSPECIFIED", "pinned": true, "attachments": [ { "name": "string", "creator": "string", "filename": "string", "type": "string", "content": "string", "externalLink": "string", "motionMedia": { "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED", "role": "MOTION_MEDIA_ROLE_UNSPECIFIED", "groupId": "string", "presentationTimestampUs": "string", "hasEmbeddedVideo": true }, "mediaMetadata": { "width": 0, "height": 0, "photo": { "captureTime": { "localDateTime": "string", "utcOffset": "string" }, "location": { "latitude": 0.1, "longitude": 0.1, "altitudeMeters": 0.1 }, "sourceExifOrientation": 0, "cameraMake": "string", "cameraModel": "string", "lensModel": "string", "fNumber": 0.1, "exposureTimeSeconds": 0.1, "iso": 0, "focalLengthMm": 0.1 }, "video": { "durationSeconds": 0.1 } }, "memo": "string", "size": "string", "createTime": "2019-08-24T14:15:22Z" } ], "relations": [ { "memo": { "name": "string", "snippet": "string" }, "relatedMemo": { "name": "string", "snippet": "string" }, "type": "TYPE_UNSPECIFIED" } ], "reactions": [ { "name": "string", "creator": "string", "reactionType": "string", "createTime": "2019-08-24T14:15:22Z" } ], "parent": "string", "tags": [ "string" ], "property": { "title": "string", "hasLink": true, "hasCode": true, "hasTaskList": true, "hasIncompleteTasks": true }, "snippet": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z" } ], "nextPageToken": "string"}